unit GraphTest;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, ExtCtrls, TeeProcs, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TLineSeries;
    Series2: TLineSeries;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses DateUtils;
{$R *.dfm}

procedure TForm1.FormShow(Sender: TObject);
var
  CellDate: TDateTime;

  function MakeLabel(const theDate: TDateTime): String;
  begin
    Result := FormatDateTime(ShortDateFormat,theDate)+#13+FormatDateTime(ShortTimeFormat,theDate);
  end;

begin
  Chart1.BottomAxis.DateTimeFormat := 'dd/mm'+#13+'hh/mm';
  Chart1.BottomAxis.LabelsMultiLine := TRUE;

  CellDate := EncodeDateTime(2009,3,19,7,0,0,0);
  Series1.AddXY(CellDate,120,MakeLabel(CellDate),clTeeColor);
  Series2.AddXY(CellDate,60,MakeLabel(CellDate),clTeeColor);

  CellDate := EncodeDateTime(2010,1,19,8,0,0,0);
  Series1.AddXY(CellDate,110,MakeLabel(CellDate),clTeeColor);
  Series2.AddXY(CellDate,70,MakeLabel(CellDate),clTeeColor);

  CellDate := EncodeDateTime(2010,2,1,7,30,0,0);
  Series1.AddXY(CellDate,130,MakeLabel(CellDate),clTeeColor);
  Series2.AddXY(CellDate,65,MakeLabel(CellDate),clTeeColor);

  CellDate := EncodeDateTime(2010,2,8,13,0,0,0);
  Series1.AddXY(CellDate,100,MakeLabel(CellDate),clTeeColor);
  Series2.AddXY(CellDate,62,MakeLabel(CellDate),clTeeColor);

  CellDate := EncodeDateTime(2010,2,15,15,0,0,0);
  Series1.AddXY(CellDate,140,MakeLabel(CellDate),clTeeColor);
  Series2.AddXY(CellDate,90,MakeLabel(CellDate),clTeeColor);

  CellDate := EncodeDateTime(2010,3,1,9,30,0,0);
  Series1.AddXY(CellDate,135,MakeLabel(CellDate),clTeeColor);
  Series2.AddXY(CellDate,85,MakeLabel(CellDate),clTeeColor);

  CellDate := EncodeDateTime(2010,3,7,10,15,0,0);
  Series1.AddXY(CellDate,120,MakeLabel(CellDate),clTeeColor);
  Series2.AddXY(CellDate,70,MakeLabel(CellDate),clTeeColor);

  CellDate := EncodeDateTime(2010,3,18,8,30,0,0);
  Series1.AddXY(CellDate,125,MakeLabel(CellDate),clTeeColor);
  Series2.AddXY(CellDate,80,MakeLabel(CellDate),clTeeColor);

  CellDate := EncodeDateTime(2010,4,1,7,0,0,0);
  Series1.AddXY(CellDate,115,MakeLabel(CellDate),clTeeColor);
  Series2.AddXY(CellDate,60,MakeLabel(CellDate),clTeeColor);

  CellDate := EncodeDateTime(2010,4,15,6,30,0,0);
  Series1.AddXY(CellDate,140,MakeLabel(CellDate),clTeeColor);
  Series2.AddXY(CellDate,90,MakeLabel(CellDate),clTeeColor);


end;

end.
